FROM bellsoft/liberica-openjdk-alpine:14

ARG JAR_FILE=gitlabci.jar
RUN mkdir /opt/app
EXPOSE 8080
COPY ${JAR_FILE} /opt/app/japp.jar
VOLUME /opt/app/logs

CMD ["java", "-Xmx512m", "-Xms512m", "-jar", "-Dspring.profiles.active=prod","/opt/app/japp.jar"]
